package com.saye.hrs.service.system;

import com.saye.hrs.model.ServiceParams;

import java.util.HashMap;
import java.util.List;

public interface ServiceParamsService {
	//对业务参数列表进行增删查改
	public List<ServiceParams> selectServiceParams(HashMap<String,String> map);

	//新增
	public int insertServiceParams(ServiceParams sp) throws Exception;
	//修改
	public int updateServiceParams(ServiceParams sp) throws Exception;
	
	//删除
	public int deleteServiceParams(String paramId) throws Exception;

	public List<HashMap<Object,Object>> findParamVal()throws Exception;

	//根据code查询配置value
	public List<HashMap<Object, Object>> findParamValByParamCode(String code);
	
	public void updateServiceParamsValBycode(HashMap<String,String> map);

}
